#1214 problem with 2.10

next release
pending
Simon Harrer
5
2015-11-13
2014-03-14
Lester Ingber
No

I've used JabRef for quite a few versions. I now have a problem with v2.10 that I do not have with v2.9.2. The attached shows the output of processing a file sumJ.bib in a folder containing JabRef.jar and jabref.xml. I make a hard link from JabRef-X.XX.jar to JabRef.jar and run
java -jar JabRef.jar -n -i sumJ.bib -o J.sumJ.bib

In the attached zip file, the two log files, log.2.10 log.2.9.2, are the result of using
ln JabRef-2.10.jar JabRef.jar and ln JabRef-2.9.2.jar JabRef.jar, resp. Note that v2.10 fails without output. The desired output is given in J.sum.bib as obtained using v2.9.2.

I realize that there is some problem reported whenever I use JabRef, as seen in log.2.9.2. However, the output is just fine for my purposes in preparing technical papers.

I run JabRef under Cygwin on my Thinkpad Carbon Touch X1 with Windows 8.1 Pro x64 and Java-7.51 x32. (JabRef-2.10 also fails with Java-7.51 x64.) Java is in the standard installations under Program Files (x32, etc.).

1 Attachments

Related

Bugs: #1214

Discussion

  • Simon Harrer
    Simon Harrer
    2014-03-21

    Can you try

    java-jar JabRef.jar -n -i=sumJ.bib,bibtex -o=J.sumJ.bib

    This worked on my machine. However, you got a point there, as the following commands do not work:

    java-jar JabRef.jar -n -i=sumJ.bib,bibtex -o=J.sumJ.bib,bibtex
    java-jar JabRef.jar -n -i=sumJ.bib -o=J.sumJ.bib

    I am trying to setup up test cases up, to reproduce and then fix these errors. However, still fighting with System.exit calls within the code, thus, it may take a while.

     
  • Lester Ingber
    Lester Ingber
    2014-03-21

    Simon:

    Hi. Thanks for getting back to me. I'll wait for your fix.

    Lester


    [image: http://www.ingber.com] http://www.ingber.com[image:
    HomePageMirror]
    http://alumni.caltech.edu/~ingber [image:
    LinkedIn]
    http://www.linkedin.com/in/ingber
    [image: GooglePlus] http://google.com/+LesterIngber [image:
    FaceBook]
    http://www.facebook.com/lester.ingber
    [image: Twitter] http://twitter.com/ingber
    Prof. Lester Ingber lester@ingber.com ingber@alumni.caltech.edu

    On Fri, Mar 14, 2014 at 10:48 AM, Lester Ingber ingber@users.sf.net wrote:


    Status: open
    Group: next release
    Created: Fri Mar 14, 2014 05:48 PM UTC by Lester Ingber
    Last Updated: Fri Mar 14, 2014 05:48 PM UTC
    Owner: nobody

    I've used JabRef for quite a few versions. I now have a problem with v2.10
    that I do not have with v2.9.2. The attached shows the output of processing
    a file sumJ.bib in a folder containing JabRef.jar and jabref.xml. I make a
    hard link from JabRef-X.XX.jar to JabRef.jar and run
    java -jar JabRef.jar -n -i sumJ.bib -o J.sumJ.bib

    In the attached zip file, the two log files, log.2.10 log.2.9.2, are the
    result of using
    ln JabRef-2.10.jar JabRef.jar and ln JabRef-2.9.2.jar JabRef.jar, resp.
    Note that v2.10 fails without output. The desired output is given in
    J.sum.bib as obtained using v2.9.2.

    I realize that there is some problem reported whenever I use JabRef, as
    seen in log.2.9.2. However, the output is just fine for my purposes in
    preparing technical papers.

    I run JabRef under Cygwin on my Thinkpad Carbon Touch X1 with Windows 8.1
    Pro x64 and Java-7.51 x32. (JabRef-2.10 also fails with Java-7.51 x64.)
    Java is in the standard installations under Program Files (x32, etc.).


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/jabref/bugs/1214/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1214

  • Simon Harrer
    Simon Harrer
    2014-03-24

    • status: open --> accepted
    • assigned_to: Simon Harrer
     
  • Tobias
    Tobias
    2015-11-13

    Is the problem still open in JabRef 2.11 and the newest development version?

     
  • Tobias
    Tobias
    2015-11-13

    • labels: --> OSIntegration, Program Start
    • status: accepted --> pending